## xfonts-terminus 4.30

=== Makefile ===
PERL	= perl
AWK	= awk
UCS2VGA	= $(PERL) ./ucstoany.pl +f
UNI2TXT	= $(AWK) '{ printf("0x%02X\tU+%s\n", FNR-1, $$1) }'
BDF2PSF	= $(PERL) ./bdftopsf.pl +u
BDF2RAW	= $(PERL) ./bdftopsf.pl -h
UCS2X11	= $(PERL) ./ucstoany.pl
BDF2PCF	= bdftopcf

R_88591	= ISO8859 1
R_88592	= ISO8859 2
R_88595	= ISO8859 5
R_88597	= ISO8859 7
R_88599	= ISO8859 9
R_W1251	= Microsoft CP1251
R_8859D	= ISO8859 13
R_8859F	= ISO8859 15
R_8859G	= ISO8859 16
R_PCIBM	= IBM CP437
R_KOI8R	= KOI8 R
R_KOI8U	= KOI8 U
R_BGMIK	= Bulgarian MIK
R_PT154	= Paratype PT154
R_PT254	= Paratype PT254
R_XOS42	= XOS4 2
R_10646	= ISO10646 1

PSF_12N	= ter-112n.psf ter-212n.psf ter-712n.psf ter-912n.psf ter-c12n.psf ter-d12n.psf ter-g12n.psf ter-i12n.psf ter-k12n.psf ter-m12n.psf ter-p12n.psf ter-u12n.psf ter-v12n.psf
PSF_14N	= ter-114n.psf ter-214n.psf ter-714n.psf ter-914n.psf ter-c14n.psf ter-d14n.psf ter-g14n.psf ter-i14n.psf ter-k14n.psf ter-m14n.psf ter-p14n.psf ter-u14n.psf ter-v14n.psf
PSF_14B	= ter-114b.psf ter-214b.psf ter-714b.psf ter-914b.psf ter-c14b.psf ter-d14b.psf ter-g14b.psf ter-i14b.psf ter-k14b.psf ter-m14b.psf ter-p14b.psf ter-u14b.psf ter-v14b.psf
PSF_14F	= ter-114f.psf ter-214f.psf ter-714f.psf ter-914f.psf ter-c14f.psf ter-d14f.psf ter-g14f.psf ter-i14f.psf ter-k14f.psf ter-m14f.psf ter-p14f.psf ter-u14f.psf ter-v14f.psf
PSF_16N	= ter-116n.psf ter-216n.psf ter-716n.psf ter-916n.psf ter-c16n.psf ter-d16n.psf ter-g16n.psf ter-i16n.psf ter-k16n.psf ter-m16n.psf ter-p16n.psf ter-u16n.psf ter-v16n.psf
PSF_16B	= ter-116b.psf ter-216b.psf ter-716b.psf ter-916b.psf ter-c16b.psf ter-d16b.psf ter-g16b.psf ter-i16b.psf ter-k16b.psf ter-m16b.psf ter-p16b.psf ter-u16b.psf ter-v16b.psf
PSF_16F	= ter-116f.psf ter-216f.psf ter-716f.psf ter-916f.psf ter-c16f.psf ter-d16f.psf ter-g16f.psf ter-i16f.psf ter-k16f.psf ter-m16f.psf ter-p16f.psf ter-u16f.psf ter-v16f.psf
PSF_20N	= ter-120n.psf ter-220n.psf ter-720n.psf ter-920n.psf ter-c20n.psf ter-d20n.psf ter-g20n.psf ter-i20n.psf ter-k20n.psf ter-m20n.psf ter-p20n.psf ter-u20n.psf ter-v20n.psf
PSF_20B	= ter-120b.psf ter-220b.psf ter-720b.psf ter-920b.psf ter-c20b.psf ter-d20b.psf ter-g20b.psf ter-i20b.psf ter-k20b.psf ter-m20b.psf ter-p20b.psf ter-u20b.psf ter-v20b.psf
PSF_22N	= ter-122n.psf ter-222n.psf ter-722n.psf ter-922n.psf ter-c22n.psf ter-d22n.psf ter-g22n.psf ter-i22n.psf ter-k22n.psf ter-m22n.psf ter-p22n.psf ter-u22n.psf ter-v22n.psf
PSF_22B	= ter-122b.psf ter-222b.psf ter-722b.psf ter-922b.psf ter-c22b.psf ter-d22b.psf ter-g22b.psf ter-i22b.psf ter-k22b.psf ter-m22b.psf ter-p22b.psf ter-u22b.psf ter-v22b.psf
PSF_24N	= ter-124n.psf ter-224n.psf ter-724n.psf ter-924n.psf ter-c24n.psf ter-d24n.psf ter-g24n.psf ter-i24n.psf ter-k24n.psf ter-m24n.psf ter-p24n.psf ter-u24n.psf ter-v24n.psf
PSF_24B	= ter-124b.psf ter-224b.psf ter-724b.psf ter-924b.psf ter-c24b.psf ter-d24b.psf ter-g24b.psf ter-i24b.psf ter-k24b.psf ter-m24b.psf ter-p24b.psf ter-u24b.psf ter-v24b.psf
PSF_28N	= ter-128n.psf ter-228n.psf ter-728n.psf ter-928n.psf ter-c28n.psf ter-d28n.psf ter-g28n.psf ter-i28n.psf ter-k28n.psf ter-m28n.psf ter-p28n.psf ter-u28n.psf ter-v28n.psf
PSF_28B	= ter-128b.psf ter-228b.psf ter-728b.psf ter-928b.psf ter-c28b.psf ter-d28b.psf ter-g28b.psf ter-i28b.psf ter-k28b.psf ter-m28b.psf ter-p28b.psf ter-u28b.psf ter-v28b.psf
PSF_32N	= ter-132n.psf ter-232n.psf ter-732n.psf ter-932n.psf ter-c32n.psf ter-d32n.psf ter-g32n.psf ter-i32n.psf ter-k32n.psf ter-m32n.psf ter-p32n.psf ter-u32n.psf ter-v32n.psf
PSF_32B	= ter-132b.psf ter-232b.psf ter-732b.psf ter-932b.psf ter-c32b.psf ter-d32b.psf ter-g32b.psf ter-i32b.psf ter-k32b.psf ter-m32b.psf ter-p32b.psf ter-u32b.psf ter-v32b.psf
PSF	= $(PSF_12N) $(PSF_14N) $(PSF_14B) $(PSF_14F) $(PSF_16N) $(PSF_16B) $(PSF_16F) $(PSF_20N) $(PSF_20B) $(PSF_22N) $(PSF_22B) $(PSF_24N) $(PSF_24B) $(PSF_28N) $(PSF_28B) $(PSF_32N) $(PSF_32B)

TXT_WIN	= cp1252.txt cp1250.txt cp1253.txt cp1254.txt cp1251.txt cp1257.txt pt154.txt
TXT_MIX	= 8859-16.txt cp437.txt koi8-r.txt koi8-u.txt mik.txt pt254.txt
TXT	= $(TXT_WIN) $(TXT_MIX)

RAW_14N	= ter-114n.raw ter-214n.raw ter-514n.raw ter-714n.raw ter-914n.raw ter-c14n.raw ter-d14n.raw ter-f14n.raw ter-g14n.raw ter-i14n.raw ter-k14n.raw ter-p14n.raw ter-u14n.raw
RAW_14B	= ter-114b.raw ter-214b.raw ter-514b.raw ter-714b.raw ter-914b.raw ter-c14b.raw ter-d14b.raw ter-f14b.raw ter-g14b.raw ter-i14b.raw ter-k14b.raw ter-p14b.raw ter-u14b.raw
RAW_14F	= ter-114f.raw ter-214f.raw ter-514f.raw ter-714f.raw ter-914f.raw ter-c14f.raw ter-d14f.raw ter-f14f.raw ter-g14f.raw ter-i14f.raw ter-k14f.raw ter-p14f.raw ter-u14f.raw
RAW_16N	= ter-116n.raw ter-216n.raw ter-516n.raw ter-716n.raw ter-916n.raw ter-c16n.raw ter-d16n.raw ter-f16n.raw ter-g16n.raw ter-i16n.raw ter-k16n.raw ter-p16n.raw ter-u16n.raw
RAW_16B	= ter-116b.raw ter-216b.raw ter-516b.raw ter-716b.raw ter-916b.raw ter-c16b.raw ter-d16b.raw ter-f16b.raw ter-g16b.raw ter-i16b.raw ter-k16b.raw ter-p16b.raw ter-u16b.raw
RAW_16F	= ter-116f.raw ter-216f.raw ter-516f.raw ter-716f.raw ter-916f.raw ter-c16f.raw ter-d16f.raw ter-f16f.raw ter-g16f.raw ter-i16f.raw ter-k16f.raw ter-p16f.raw ter-u16f.raw
RAW	= $(RAW_14N) $(RAW_14B) $(RAW_14F) $(RAW_16N) $(RAW_16B) $(RAW_16F)

PCF_12N	= ter-112n.pcf ter-212n.pcf ter-512n.pcf ter-712n.pcf ter-912n.pcf ter-c12n.pcf ter-d12n.pcf ter-f12n.pcf ter-g12n.pcf ter-k12n.pcf ter-p12n.pcf ter-u12n.pcf ter-x12n.pcf
PCF_12B	= ter-112b.pcf ter-212b.pcf ter-512b.pcf ter-712b.pcf ter-912b.pcf ter-c12b.pcf ter-d12b.pcf ter-f12b.pcf ter-g12b.pcf ter-k12b.pcf ter-p12b.pcf ter-u12b.pcf ter-x12b.pcf
PCF_14N	= ter-114n.pcf ter-214n.pcf ter-514n.pcf ter-714n.pcf ter-914n.pcf ter-c14n.pcf ter-d14n.pcf ter-f14n.pcf ter-g14n.pcf ter-k14n.pcf ter-p14n.pcf ter-u14n.pcf ter-x14n.pcf
PCF_14B	= ter-114b.pcf ter-214b.pcf ter-514b.pcf ter-714b.pcf ter-914b.pcf ter-c14b.pcf ter-d14b.pcf ter-f14b.pcf ter-g14b.pcf ter-k14b.pcf ter-p14b.pcf ter-u14b.pcf ter-x14b.pcf
PCF_16N	= ter-116n.pcf ter-216n.pcf ter-516n.pcf ter-716n.pcf ter-916n.pcf ter-c16n.pcf ter-d16n.pcf ter-f16n.pcf ter-g16n.pcf ter-k16n.pcf ter-p16n.pcf ter-u16n.pcf ter-x16n.pcf
PCF_16B	= ter-116b.pcf ter-216b.pcf ter-516b.pcf ter-716b.pcf ter-916b.pcf ter-c16b.pcf ter-d16b.pcf ter-f16b.pcf ter-g16b.pcf ter-k16b.pcf ter-p16b.pcf ter-u16b.pcf ter-x16b.pcf
PCF_20N	= ter-120n.pcf ter-220n.pcf ter-520n.pcf ter-720n.pcf ter-920n.pcf ter-c20n.pcf ter-d20n.pcf ter-f20n.pcf ter-g20n.pcf ter-k20n.pcf ter-p20n.pcf ter-u20n.pcf ter-x20n.pcf
PCF_20B	= ter-120b.pcf ter-220b.pcf ter-520b.pcf ter-720b.pcf ter-920b.pcf ter-c20b.pcf ter-d20b.pcf ter-f20b.pcf ter-g20b.pcf ter-k20b.pcf ter-p20b.pcf ter-u20b.pcf ter-x20b.pcf
PCF_22N	= ter-122n.pcf ter-222n.pcf ter-522n.pcf ter-722n.pcf ter-922n.pcf ter-c22n.pcf ter-d22n.pcf ter-f22n.pcf ter-g22n.pcf ter-k22n.pcf ter-p22n.pcf ter-u22n.pcf ter-x22n.pcf
PCF_22B	= ter-122b.pcf ter-222b.pcf ter-522b.pcf ter-722b.pcf ter-922b.pcf ter-c22b.pcf ter-d22b.pcf ter-f22b.pcf ter-g22b.pcf ter-k22b.pcf ter-p22b.pcf ter-u22b.pcf ter-x22b.pcf
PCF_24N	= ter-124n.pcf ter-224n.pcf ter-524n.pcf ter-724n.pcf ter-924n.pcf ter-c24n.pcf ter-d24n.pcf ter-f24n.pcf ter-g24n.pcf ter-k24n.pcf ter-p24n.pcf ter-u24n.pcf ter-x24n.pcf
PCF_24B	= ter-124b.pcf ter-224b.pcf ter-524b.pcf ter-724b.pcf ter-924b.pcf ter-c24b.pcf ter-d24b.pcf ter-f24b.pcf ter-g24b.pcf ter-k24b.pcf ter-p24b.pcf ter-u24b.pcf ter-x24b.pcf
PCF_28N	= ter-128n.pcf ter-228n.pcf ter-528n.pcf ter-728n.pcf ter-928n.pcf ter-c28n.pcf ter-d28n.pcf ter-f28n.pcf ter-g28n.pcf ter-k28n.pcf ter-p28n.pcf ter-u28n.pcf ter-x28n.pcf
PCF_28B	= ter-128b.pcf ter-228b.pcf ter-528b.pcf ter-728b.pcf ter-928b.pcf ter-c28b.pcf ter-d28b.pcf ter-f28b.pcf ter-g28b.pcf ter-k28b.pcf ter-p28b.pcf ter-u28b.pcf ter-x28b.pcf
PCF_32N	= ter-132n.pcf ter-232n.pcf ter-532n.pcf ter-732n.pcf ter-932n.pcf ter-c32n.pcf ter-d32n.pcf ter-f32n.pcf ter-g32n.pcf ter-k32n.pcf ter-p32n.pcf ter-u32n.pcf ter-x32n.pcf
PCF_32B	= ter-132b.pcf ter-232b.pcf ter-532b.pcf ter-732b.pcf ter-932b.pcf ter-c32b.pcf ter-d32b.pcf ter-f32b.pcf ter-g32b.pcf ter-k32b.pcf ter-p32b.pcf ter-u32b.pcf ter-x32b.pcf
PCF	= $(PCF_12N) $(PCF_12B) $(PCF_14N) $(PCF_14B) $(PCF_16N) $(PCF_16B) $(PCF_20N) $(PCF_20B) $(PCF_22N) $(PCF_22B) $(PCF_24N) $(PCF_24B) $(PCF_28N) $(PCF_28B) $(PCF_32N) $(PCF_32B)
PCF_N12	= $(PCF_12N) $(PCF_14N) $(PCF_14B) $(PCF_16N) $(PCF_16B) $(PCF_20N) $(PCF_20B) $(PCF_22N) $(PCF_22B) $(PCF_24N) $(PCF_24B) $(PCF_28N) $(PCF_28B) $(PCF_32N) $(PCF_32B)

EEE	= ter-x12n.pcf ter-x12b.pcf ter-x14n.pcf ter-x14b.pcf ter-x16n.pcf ter-x16b.pcf ter-x20n.pcf ter-x20b.pcf ter-x22n.pcf ter-x22b.pcf
EEE_N12	= ter-x12n.pcf ter-x14n.pcf ter-x14b.pcf ter-x16n.pcf ter-x16b.pcf ter-x20n.pcf ter-x20b.pcf ter-x22n.pcf ter-x22b.pcf

all: $(PSF) $(PCF)
psf: $(PSF)
txt: $(TXT)
raw: $(RAW)
pcf: $(PCF)
n12: $(PCF_N12)
eee: $(EEE)
e12: $(EEE_N12)

DESTDIR	=
prefix	= /usr/local
psfdir	= $(prefix)/share/consolefonts
x11dir	= $(prefix)/share/fonts/terminus

install: $(PSF) $(PCF)
	mkdir -p $(DESTDIR)$(psfdir)
	for i in $(PSF) ; do gzip -c $$i > $(DESTDIR)$(psfdir)/$$i.gz ; done
	mkdir -p $(DESTDIR)$(x11dir)
	for i in $(PCF) ; do gzip -c $$i > $(DESTDIR)$(x11dir)/$$i.gz ; done

uninstall:
	for i in $(PSF) ; do rm -f $(DESTDIR)$(psfdir)/$$i.gz ; done
	for i in $(PCF) ; do rm -f $(DESTDIR)$(x11dir)/$$i.gz ; done

fontdir:
	mkfontscale $(DESTDIR)$(x11dir)
	mkfontdir $(DESTDIR)$(x11dir)
	fc-cache $(DESTDIR)$(x11dir)

V_88591	= uni/vgagr.uni uni/ascii-h.uni uni/win-1252.uni
V_88592	= uni/vgagr.uni uni/ascii-h.uni uni/vga-1250.uni uni/8859-2.uni
V_88597	= uni/vgagr.uni uni/ascii-h.uni uni/vga-1253.uni uni/8859-7.uni
V_88599	= uni/vgagr.uni uni/ascii-h.uni uni/win-1254.uni
V_W1251	= uni/vgagr.uni uni/ascii-h.uni uni/vga-1251.uni uni/win-1251.uni
V_8859D	= uni/vgagr.uni uni/ascii-h.uni uni/vga-1257.uni uni/8859-13.uni
V_8859G	= uni/vgagr.uni uni/ascii-h.uni uni/nls-1250.uni uni/8859-16.uni
V_PCIBM	= uni/cntrl.uni uni/ascii-h.uni uni/ibm-437.uni
V_KOI8R	= uni/cntrl.uni uni/ascii-h.uni uni/koibm8-r.uni
F_KOI8R	= uni/cntrl.uni uni/ascii-h.uni uni/koi8-r.uni
V_KOI8U	= uni/cntrl.uni uni/ascii-h.uni uni/koibm8-u.uni
F_KOI8U	= uni/cntrl.uni uni/ascii-h.uni uni/koi8-u.uni
V_BGMIK	= uni/cntrl.uni uni/ascii-h.uni uni/bg-mik.uni
V_PT154	= uni/vgagr.uni uni/ascii-h.uni uni/pt-154.uni
V_XOS42	= uni/xos4-2.uni

D_88591	= dup/vgagr.dup dup/ascii-h.dup
D_88592	= dup/vgagr.dup dup/ascii-h.dup
D_88597	= dup/vgagr.dup dup/ascii-h.dup
D_88599	= dup/vgagr.dup dup/ascii-h.dup
D_W1251	= dup/vgagr.dup dup/ascii-h.dup
D_8859D	= dup/vgagr.dup dup/ascii-h.dup
D_8859G	= dup/vgagr.dup dup/ascii-h.dup
D_PCIBM	= dup/cntrl.dup dup/ascii-h.dup dup/ibm-437.dup
D_KOI8R	= dup/cntrl.dup dup/ascii-h.dup dup/koi8.dup
D_KOI8U	= dup/cntrl.dup dup/ascii-h.dup dup/koi8.dup
D_BGMIK	= dup/cntrl.dup dup/ascii-h.dup dup/ibm-437.dup
D_PT154	= dup/vgagr.dup dup/ascii-h.dup
D_XOS42	= dup/vgagr.dup dup/xos4-2.dup

ter-112n.psf: ter-u12n.bdf $(V_88591) $(D_88591)
	$(UCS2VGA) ter-u12n.bdf $(R_88591) $(V_88591) | $(BDF2PSF) -o $@ - $(D_88591)

ter-212n.psf: ter-u12n.bdf $(V_88592) $(D_88592)
	$(UCS2VGA) ter-u12n.bdf $(R_88592) $(V_88592) | $(BDF2PSF) -o $@ - $(D_88592)

ter-712n.psf: ter-u12n.bdf $(V_88597) $(D_88597)
	$(UCS2VGA) ter-u12n.bdf $(R_88597) $(V_88597) | $(BDF2PSF) -o $@ - $(D_88597)

ter-912n.psf: ter-u12n.bdf $(V_88599) $(D_88599)
	$(UCS2VGA) ter-u12n.bdf $(R_88599) $(V_88599) | $(BDF2PSF) -o $@ - $(D_88599)

ter-c12n.psf: ter-u12n.bdf $(V_W1251) $(D_W1251)
	$(UCS2VGA) ter-u12n.bdf $(R_W1251) $(V_W1251) | $(BDF2PSF) -o $@ - $(D_W1251)

ter-d12n.psf: ter-u12n.bdf $(V_8859D) $(D_8859D)
	$(UCS2VGA) ter-u12n.bdf $(R_8859D) $(V_8859D) | $(BDF2PSF) -o $@ - $(D_8859G)

ter-g12n.psf: ter-u12n.bdf $(V_8859G) $(D_8859G)
	$(UCS2VGA) ter-u12n.bdf $(R_8859G) $(V_8859G) | $(BDF2PSF) -o $@ - $(D_8859G)

ter-i12n.psf: ter-u12n.bdf $(V_PCIBM) $(D_PCIBM)
	$(UCS2VGA) ter-u12n.bdf $(R_PCIBM) $(V_PCIBM) | $(BDF2PSF) -o $@ - $(D_PCIBM)

ter-k12n.psf: ter-u12n.bdf $(F_KOI8R) $(D_KOI8R)
	$(UCS2VGA) ter-u12n.bdf $(R_KOI8R) $(F_KOI8R) | $(BDF2PSF) -o $@ - $(D_KOI8R)
