## xfonts-terminus 4.38

=== Makefile ===
--- 
+++ 
@@ -98,7 +98,7 @@
 fontdir:
 	mkfontscale $(DESTDIR)$(x11dir)
 	mkfontdir $(DESTDIR)$(x11dir)
-	fc-cache $(DESTDIR)$(x11dir)
+	fc-cache -f $(DESTDIR)$(x11dir)
 
 VGA_8859_1  = uni/vgagr.uni uni/ascii-h.uni uni/win-1252.uni
 VGA_8859_2  = uni/vgagr.uni uni/ascii-h.uni uni/vga-1250.uni uni/8859-2.uni
