=== debian/changelog ===
xfonts-terminus (4.38-0ubuntu1) saucy; urgency=low

  * New upstream releases (4.36 and 4.38). Closes: #812134
    - New characters
  * New debian/watch file
  * Made the debian/patches directory
  * Updated debian/control
    - Added homepage
    - Changed debhelper to (>=9)
  * Updated debian/compat
    - Changed to 9
  * Created debian/source/format

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 28 Jul 2013 08:47:06 +1000

xfonts-terminus (4.35-1) unstable; urgency=low

  * New upstream releases (4.34 and 4.35):
    - New size 10x18.
    - Changes in few symbols.
    - The patch alt/ge1.diff is applied by default.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 18 May 2011 11:23:45 +0300

xfonts-terminus (4.32-1) unstable; urgency=low

  * New upstream release.
    - Slightly more distintive normal M and W.
    - Rounded 28-bold, 32-normal, 32-bold.
    - Small changes: Che/che stroke, phi, Zhe/zhe etc.
    - Changed the font license to SIL OFL 1.1.
  * Remove the console-terminus package.  The console fonts will be part
    of console-setup.
  * Apply the alt/ge1.diff patch to change the look of the small Cyrillic
    ghe letter.  According to the upstream this patch should be applied
    when creating an international package.
  * Update Standards-Version to 3.9.1.
  * Support DEB_BUILD_OPTIONS in debian/rules.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 12 Mar 2011 20:46:38 +0200

xfonts-terminus (4.30-2) unstable; urgency=low

  * Version 4.30-1 was build with broken version of bdf2psf.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 20 Nov 2009 14:43:31 +0200

xfonts-terminus (4.30-1) unstable; urgency=low

  * New upstream release
    - new font size 22 (according to the upstream it is not very good yet)
    - 25 new symbols
    - small corrections and improvements
  * Change the section of the package (x11|utils) -> fonts.  Closes: #554787.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 20 Nov 2009 13:43:44 +0200

xfonts-terminus (4.28-2) unstable; urgency=low

  * Fix errors in the changelog.  Thanks to Paul Menzel, closes: #527035.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 06 Nov 2009 14:08:17 +0200

xfonts-terminus (4.28-1) unstable; urgency=low

  * New upstream release:
    - heavy frames (written mostly by Tim Allen);
    - a few more letters;
    - altered triangles and arrows;
    - small bugfixes.
  * Install 50-enable-terminus.conf in /etc/fonts/conf.d/conf.avail and symlink
    from conf.d.  Thanks to Stanislav Maslovski, closes: #514596.
  * Replace the dependency on kbd | console-tools from console-terminus by
    recommendation.  Thanks to Samuel Thibault, patch by Petr Salinger.
    Closes: #524477.
  * Build-Depends on trscripts >= 1.16 (question mark as default symbol).
    Thanks to Kai Hendry, closes: #481917.
  * ${misc:Depends} for all packages; update Standards-Version to 3.8.1.
  
 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 02 May 2009 12:40:48 +0300

xfonts-terminus (4.26-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Urgency medium due to lenny-goal bug fix.
  * Clear obsolete conffiles that were left over from etch for xfonts-terminus
    and xfonts-terminus-dos. closes: #455037, #455039.
  * Drop clearance stuffs for very old versions from xfonts-terminus preinst.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Mon, 24 Nov 2008 12:05:05 +0700

xfonts-terminus (4.26-2) unstable; urgency=low

  * Remove the obsoleted Debconf message.  Thanks to Christian Perrier,
    closes: #449364, #476724.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 15 Jul 2008 12:13:02 +0300

xfonts-terminus (4.26-1) unstable; urgency=low

  * New upstream release:
    - full set of greek characters
    - about 50 small fixes and (hopefully) improvementsc
  * New X encoding iso-8859-7, new dos encoding ibm869 and new console
    codesets Greek and Uni2.  Build-dependency on trscripts > 1.15.
  * Lintian cleaning: don't set DH_COMPAT in debian/rules, do not ignore
    'make clean' errors and Standards-Version 3.7.3.
  * Belarusian translation for the Debconf messages.  Thanks to Pavel
    Piatruk and Andrei Darashenka, closes: #447117.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 03 Apr 2008 21:34:50 +0300

xfonts-terminus (4.20-6) unstable; urgency=low

  * Install the alias files in their proper place /etc/X11/fonts/misc.
    Thanks to Chris Moore, closes: #401801.
  * update-fonts-alias is automatically added in postinst by
    dh_installxfonts.  I suppose in version 4.20-5.1 this command was
    missing due to some bug in debhelper.  Thanks to Nelson A. de
    Oliveira, closes: #443521.
  * New Galician translation.  Thanks to Jacobo Tarrio, closes: #411106.
  * New Japanese translation.  Thanks to Kobayashi Noritada, closes: #414571.
  * New Italian translation.  Thanks to Luca Monducci, closes: #427205.
  * Update Standards-Version: 3.7.2.
  * Add Build-Dependency on po-debconf.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 13 Jan 2007 13:55:46 +0200

xfonts-terminus (4.20-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added German and Spanish translation (Closes: #398491, #403441)

 -- Bastian Venthur <venthur@debian.org>  Sun, 28 Jan 2007 13:50:40 +0100

xfonts-terminus (4.20-5) unstable; urgency=low

  * New Portuguese for the Debconf messages.  Thanks to Miguel Figueiredo,
    closes: #399927.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun,  3 Dec 2006 13:47:30 +0200

xfonts-terminus (4.20-4) unstable; urgency=low

  * Rebuild with version 12 of bdf2psf.
  * Add Russian translation of the Debconf messages.  Thanks to Mikhail
    Gusarov, closes: #397165.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 13 Nov 2006 20:38:06 +0200

xfonts-terminus (4.20-3) unstable; urgency=low

  * New dutch translation.  Thanks to Kurt De Bree, closes: #365420.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 12 Oct 2006 14:57:03 +0300

xfonts-terminus (4.20-2) unstable; urgency=low


