=== debian/control ===
Source: xfonts-terminus
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Anton Zinoviev <zinoviev@debian.org>
Section: fonts
Priority: optional
Standards-Version: 3.8.1
Build-Depends: debhelper (>=9), trscripts (>= 1.16), xfonts-utils, bdf2psf
Homepage: http://terminus-font.sourceforge.net

Package: xfonts-terminus
Architecture: all
Section: fonts
Priority: optional
Depends: xfonts-utils, ${misc:Depends}
Suggests: xserver | xfs, xfonts-terminus-oblique
Description: Fixed-width fonts for fast reading
 These are fixed-width fonts suitable for terminals, editors, etc.
 If you have to work for extended time in front of monitor (i.e. over
 eight hours), you may find that using of these fonts reduces your
 eyes-fatigue.
 .
 This package contains normal and bold fonts in the following sizes:
 6x12(normal only), 8x14, 8x16, 10x20, 11x22, 12x24, 14x28 and 16x32
 and supports the following encodings: ISO10646-1, ISO8859-1, 
 ISO8859-2, ISO8859-5, ISO8859-9, ISO8859-13, ISO8859-15, ISO8859-16, 
 KOI8-R, KOI8-U, CP1251 and PT154.

Package: xfonts-terminus-oblique
Architecture: all
Section: fonts
Priority: extra
Depends: xfonts-utils, ${misc:Depends}
Recommends: xfonts-terminus
Suggests: xserver | xfs
Description: Oblique version of the Terminus font
 This package contains oblique versions of the fonts in the package
 xfonts-terminus.  These fonts are automatically generated and at
 present are not supported by the upstream maintainer.  They have much
 lower quality than the original fonts.  Nevertheless they can be
 useful for some programs such as GNU Emacs and XEmacs.
 .
 This package contains normal and bold oblique fonts in the following
 in following sizes: 6x12, 8x14, 8x16, 10x20, 11x22, 12x24, 14x28 and 16x32
 and supports the following encodings: ISO10646-1, ISO8859-1,
 ISO8859-2, ISO8859-5, ISO8859-9, ISO8859-13, ISO8859-15, ISO8859-16,
 KOI8-R, KOI8-U, CP1251 and PT154.

Package: xfonts-terminus-dos
Architecture: all
Section: fonts
Priority: optional
Depends: xfonts-utils, ${misc:Depends}
Suggests: xserver | xfs
Enhances: dosemu
Description: Fixed-width fonts for DOS encodings
 These are nice fixed-width fonts in various DOS encodings.  They are
 mostly suitable for use in Dosemu, but can be used also in
 terminals, editors, etc.
 .
 This package supports the following code-pages: CP437, CP850, CP852,
 CP855, CP860, CP863, CP865, CP866, MIK and RUSCII.
