=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://qa.debian.org/watch/sf.php/terminus-font/terminus-font-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
