## xfonts-terminus 4.40

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,7 @@
 PSF_KOI8_UV = ter-u14n.psf ter-u14b.psf ter-u14v.psf ter-u16n.psf ter-u16b.psf ter-u16v.psf
 PSF_KOI8_U  = ter-u12n.psf ter-u18n.psf ter-u18b.psf ter-u20n.psf ter-u20b.psf ter-u22n.psf ter-u22b.psf ter-u24n.psf ter-u24b.psf ter-u28n.psf ter-u28b.psf ter-u32n.psf ter-u32b.psf
 PSF_XOS4_2  = ter-v12n.psf ter-v14n.psf ter-v14b.psf ter-v14v.psf ter-v16n.psf ter-v16b.psf ter-v16v.psf ter-v18n.psf ter-v18b.psf ter-v20n.psf ter-v20b.psf ter-v22n.psf ter-v22b.psf ter-v24n.psf ter-v24b.psf ter-v28n.psf ter-v28b.psf ter-v32n.psf ter-v32b.psf
+PSF_U_10646 = ter-x12n.psf ter-x14n.psf ter-x14b.psf ter-x16n.psf ter-x16b.psf ter-x18n.psf ter-x18b.psf ter-x20n.psf ter-x20b.psf ter-x22n.psf ter-x22b.psf ter-x24n.psf ter-x24b.psf ter-x28n.psf ter-x28b.psf ter-x32n.psf ter-x32b.psf
 PSF = $(PSF_8859_1) $(PSF_8859_2) $(PSF_8859_7) $(PSF_8859_9) $(PSF_W_1251) $(PSF_8859_13) $(PSF_8859_16) $(PSF_IBM_437) $(PSF_KOI8_RV) $(PSF_KOI8_R) $(PSF_BG_MIK) $(PSF_PT_154) $(PSF_KOI8_UV) $(PSF_KOI8_U) $(PSF_XOS4_2)
 
 TXT = cp1252.txt cp1250.txt cp1253.txt cp1254.txt cp1251.txt cp1257.txt pt154.txt 8859-16.txt cp437.txt koi8-r.txt koi8-u.txt mik.txt pt254.txt
@@ -78,7 +79,9 @@
 txt: $(TXT)
 raw: $(RAW)
 pcf: $(PCF)
-n12: $(PCF_N12)
+
+echo-pcf:
+	for i in ( $(PCF) ) do echo %i
 
 DESTDIR	=
 prefix	= /usr/local
@@ -115,6 +118,7 @@
 VGA_KOI8_UV = uni/cntrl.uni uni/ascii-h.uni uni/koibm8-u.uni
 VGA_KOI8_U  = uni/cntrl.uni uni/ascii-h.uni uni/koi8-u.uni
 VGA_XOS4_2  = uni/xos4-2.uni
+VGA_U_10646 = uni/vgagr.uni uni/10646-1.uni
 
 DUP_8859_1  = dup/vgagr.dup dup/ascii-h.dup
 DUP_8859_2  = dup/vgagr.dup dup/ascii-h.dup
@@ -133,9 +137,3 @@
 DUP_XOS4_2  = dup/vgagr.dup dup/xos4-2.dup
 
 $(PSF_8859_1): ter-1%.psf : ter-u%.bdf $(VGA_8859_1) $(DUP_8859_1)
-	$(UCS2VGA) $< $(REG_8859_1) $(VGA_8859_1) | $(BDF2PSF) -o $@ - $(DUP_8859_1)
-
-$(PSF_8859_2): ter-2%.psf : ter-u%.bdf $(VGA_8859_2) $(DUP_8859_2)
-	$(UCS2VGA) $< $(REG_8859_2) $(VGA_8859_2) | $(BDF2PSF) -o $@ - $(DUP_8859_2)
-
-$(PSF_8859_5): ter-5%.psf : ter-u%.bdf $(VGA_8859_5) $(DUP_8859_5)
